package algae.gui;

import javax.swing.JOptionPane;
import javax.swing.JDialog;
import javax.swing.JButton;
import javax.swing.JRadioButton;
import javax.swing.ButtonGroup;
import javax.swing.JLabel;
import javax.swing.ImageIcon;
import javax.swing.BoxLayout;
import javax.swing.BorderFactory;
import javax.swing.border.Border;
import javax.swing.JTabbedPane;
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.beans.*; //Property change stuff
import java.awt.*;
import java.awt.event.*;

public class ContinueDlg extends JPanel {
    JFrame frame;
    CustomDialog customDialog=null;

    public int getEnteredValue()
    {
    	if (customDialog!=null)
    	{
    	    return customDialog.getResult();
    	}
    	return -1;
    }

    public ContinueDlg(JFrame frame, int doneSteps) {
        this.frame = frame;
        customDialog = new CustomDialog(frame,doneSteps, this);
        customDialog.pack();
        customDialog.setLocationRelativeTo(frame);
        customDialog.setVisible(true);
    }
}
