package algae.gui;

import java.io.File;
import java.util.*;
import javax.swing.filechooser.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class XMLFileFilter extends FileFilter {
    final static String xml_extension = "asf";
	    
    public boolean accept(File f) {
        if (f.isDirectory())
           return true;

        String str = f.getName();
        int i = str.lastIndexOf('.');
        if (i > 0 &&  i < str.length() - 1)
        {
            String extension = str.substring(i+1).toLowerCase();
            if (xml_extension.equals(extension))
                return true;
            else
                return false;
        }
        return false;
    }
    
    public String getDescription() {
       return ("ALGAE settings file (*.asf)");
    }
}
